# enid tendermint

#### `enid tendermint`

```ansi
Tendermint subcommands

Usage:
  enid tendermint [command]

Available commands:
  debug            A utility to kill or monitor the Tendermint process while aggregating debug data
  gen-node-key     Generate a new node key
  gen-validator    Generate a new validator key pair
  inspect          Run a inspect server to investigate Tendermint state
  key-migrate      Run database key migration
  light            Run a light client proxy server to validate Tendermint rpc
  reindex-event    Reindex events to the event storage backend
  replay           Replay messages from WAL
  replay-console   Replay WAL messages in the console
  reset            A set of commands to conveniently reset tendermint-related data
  show-address     Show this node's tendermint validator consensus address
  show-node-id     Show this node's ID
  show-validator   Show this node's tendermint validator info
  snapshot         Take a DBSync snapshot at a given height
  unsafe-reset-all Remove all tendermint data, including signed state
  version          Print the version of the tendermint library

Flags:
  -h, --help   Help information for tendermint

Global Flags:
      --home string         Directory for configuration and data (default "~/.eni")
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error

Use "enid tendermint [command] --help" for more information about a command.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-tendermint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
